/* 
 * © 2008-2009 Sun Microsystems, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#include "stdafx.h"

#include <mforms/tabview.h>
#include <mforms/mforms.h>

using namespace mforms;


TabView::TabView()
{
  _tabview_impl= &ControlFactory::get_instance()->_tabview_impl;

  _tabview_impl->create(this);
}


void TabView::set_active_tab(int index)
{
  _tabview_impl->set_active_tab(this, index);
}


int TabView::get_active_tab()
{
  return _tabview_impl->get_active_tab(this);
}


int TabView::add_page(View *page, const std::string& caption)
{
  page->set_parent(this);
  return _tabview_impl->add_page(this, page, caption);
}
